Subject: Re: bug#11939: 24.1; `save-buffers-kill-emacs' loses minibuffer focus when it calls `list-processes'

From: martin rudalics <[email-masked]>
Date: Thu, 26 Jul 2012 11:43:27 +0200

> I speculated to you
 > about putting the focus redirection instead on `post-command-hook', but you said
 > that was a bad idea and proposed to "use `after-make-frame-functions'".  I am
 > not sure what you meant by that, but the test above, which uses that hook, did
 > not work, in any case: the input was not redirected to the minibuffer frame.

I did so because you said that you experienced some delay when
processing input and had the first characetr entered swallowed in some
way.  So I attributed this behavior to the use of `post-command-hook'
and was suggesting an alternative method.

martin